package com.philisense.rdgo.bean.response;

import java.util.List;

/**
 * Created by shaop on 2017/12/18.
 */

public class PileInfoBean {

    /**
     * success : 0
     * message : 查询成功!
     * data : {"_id":"5a6945c0f625bd4b040a37ea","__v":0,"boxIn":["0000101801","0000101802","0000101803","0000101804","0000101805","0000101806","0000101807","0000101808","0000101809","0000101810","0000101811","0000101812","0000101813","0000101814","0000101815","0000101816","0000101817","0000101818","0000101819","0000101820","0000101821","0000101822","0000101823","0000101824","0000101825","0000101826","0000101827","0000101828","0000101829","0000101830","0000101831","0000101832","0000101833","0000101834","0000101835","0000101836","0000101837","0000101838","0000101839","0000101840","0000101841","0000101842","0000101843","0000101844","0000101845","0000101846","0000101847","0000101848"],"groupCode":"xubin,liliang,jiangxubin","warehouseCode":"","warehouse":"","status":1,"keepDate":"18geyue","factory":"chongqingchang","typeCode":"6902681942058","line":"自动化产线","capacity":"5L","level":"一级","gene":1,"brand":"红蜻蜓","typeName":"菜籽油","emptyNum":0,"boxNum":48}
     */

    private int success;
    private String message;
    private DataBean data;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * _id : 5a6945c0f625bd4b040a37ea
         * __v : 0
         * boxIn : ["0000101801","0000101802","0000101803","0000101804","0000101805","0000101806","0000101807","0000101808","0000101809","0000101810","0000101811","0000101812","0000101813","0000101814","0000101815","0000101816","0000101817","0000101818","0000101819","0000101820","0000101821","0000101822","0000101823","0000101824","0000101825","0000101826","0000101827","0000101828","0000101829","0000101830","0000101831","0000101832","0000101833","0000101834","0000101835","0000101836","0000101837","0000101838","0000101839","0000101840","0000101841","0000101842","0000101843","0000101844","0000101845","0000101846","0000101847","0000101848"]
         * groupCode : xubin,liliang,jiangxubin
         * warehouseCode :
         * warehouse :
         * status : 1
         * keepDate : 18geyue
         * factory : chongqingchang
         * typeCode : 6902681942058
         * line : 自动化产线
         * capacity : 5L
         * level : 一级
         * gene : 1
         * brand : 红蜻蜓
         * typeName : 菜籽油
         * emptyNum : 0
         * boxNum : 48
         */

        private String _id;
        private int __v;
        private String groupCode;
        private String warehouseCode;
        private String warehouse;
        private int status;
        private String keepDate;
        private String factory;
        private String typeCode;
        private String line;
        private String capacity;
        private String level;
        private int gene;
        private String brand;
        private String typeName;
        private int emptyNum;
        private int boxNum;
        private String name;//全称
        private List<String> boxIn;
        private String confirmer;

        public String getConfirmer() {
            return confirmer;
        }

        public void setConfirmer(String confirmer) {
            this.confirmer = confirmer;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }
        public String get_id() {
            return _id;
        }

        public void set_id(String _id) {
            this._id = _id;
        }

        public int get__v() {
            return __v;
        }

        public void set__v(int __v) {
            this.__v = __v;
        }

        public String getGroupCode() {
            return groupCode;
        }

        public void setGroupCode(String groupCode) {
            this.groupCode = groupCode;
        }

        public String getWarehouseCode() {
            return warehouseCode;
        }

        public void setWarehouseCode(String warehouseCode) {
            this.warehouseCode = warehouseCode;
        }

        public String getWarehouse() {
            return warehouse;
        }

        public void setWarehouse(String warehouse) {
            this.warehouse = warehouse;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getKeepDate() {
            return keepDate;
        }

        public void setKeepDate(String keepDate) {
            this.keepDate = keepDate;
        }

        public String getFactory() {
            return factory;
        }

        public void setFactory(String factory) {
            this.factory = factory;
        }

        public String getTypeCode() {
            return typeCode;
        }

        public void setTypeCode(String typeCode) {
            this.typeCode = typeCode;
        }

        public String getLine() {
            return line;
        }

        public void setLine(String line) {
            this.line = line;
        }

        public String getCapacity() {
            return capacity;
        }

        public void setCapacity(String capacity) {
            this.capacity = capacity;
        }

        public String getLevel() {
            return level;
        }

        public void setLevel(String level) {
            this.level = level;
        }

        public int getGene() {
            return gene;
        }

        public void setGene(int gene) {
            this.gene = gene;
        }

        public String getBrand() {
            return brand;
        }

        public void setBrand(String brand) {
            this.brand = brand;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public int getEmptyNum() {
            return emptyNum;
        }

        public void setEmptyNum(int emptyNum) {
            this.emptyNum = emptyNum;
        }

        public int getBoxNum() {
            return boxNum;
        }

        public void setBoxNum(int boxNum) {
            this.boxNum = boxNum;
        }

        public List<String> getBoxIn() {
            return boxIn;
        }

        public void setBoxIn(List<String> boxIn) {
            this.boxIn = boxIn;
        }
    }
}
